---
title: slns::source_location

---

# slns::source_location





## Public Functions

|                | Name           |
| -------------- | -------------- |
| constexpr [source_location](Classes/structslns_1_1source__location.md) | **[current](Classes/structslns_1_1source__location.md#function-current)**(const char * fileName =__builtin_FILE(), const char * functionName =__builtin_FUNCTION(), const uint_least32_t lineNumber =__builtin_LINE()) |
| | **[source_location](Classes/structslns_1_1source__location.md#function-source-location)**(const [source_location](Classes/structslns_1_1source__location.md) & ) =default |
| | **[source_location](Classes/structslns_1_1source__location.md#function-source-location)**([source_location](Classes/structslns_1_1source__location.md) && ) =default |
| constexpr const char * | **[file_name](Classes/structslns_1_1source__location.md#function-file-name)**() const |
| constexpr const char * | **[function_name](Classes/structslns_1_1source__location.md#function-function-name)**() const |
| constexpr uint_least32_t | **[line](Classes/structslns_1_1source__location.md#function-line)**() const |

## Public Functions Documentation

### function current

```cpp
static inline constexpr source_location current(
    const char * fileName =__builtin_FILE(),
    const char * functionName =__builtin_FUNCTION(),
    const uint_least32_t lineNumber =__builtin_LINE()
)
```


### function source_location

```cpp
source_location(
    const source_location & 
) =default
```


### function source_location

```cpp
source_location(
    source_location && 
) =default
```


### function file_name

```cpp
inline constexpr const char * file_name() const
```


### function function_name

```cpp
inline constexpr const char * function_name() const
```


### function line

```cpp
inline constexpr uint_least32_t line() const
```


-------------------------------

Updated on 2022-05-20 at 15:34:05 +0000